<template>
  <div>
    <div class="setBox">
      <div class="setGroup">
        <div class="setTitle">流量</div>
        <div class="set_Option" style="width: 100%">
          <el-row :gutter="20" style="justify-content: flex-end">
            <el-col :span="12"
              ><div class="grid-content">
                <label>刻度数: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.GridNumberX"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>流量/刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordSpaceQ"
                ></el-input></div
            ></el-col>
          </el-row>
        </div>
      </div>
      <div class="setGroup">
        <div class="setTitle">扬程</div>
        <div class="set_Option" style="width: 100%">
          <el-row :gutter="20" style="justify-content: flex-end">
            <el-col :span="12"
              ><div class="grid-content">
                <label>最大扬程刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordMaxH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>扬程/刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordSpaceH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>开始刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.StartLineNoH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>结束刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.EndLineNoH"
                ></el-input></div
            ></el-col>
          </el-row>
        </div>
      </div>
      <div class="setGroup">
        <div class="setTitle">效率</div>
        <div class="set_Option" style="width: 100%">
          <el-row :gutter="20" style="justify-content: flex-end">
            <el-col :span="12"
              ><div class="grid-content">
                <label>效率/刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordSpaceE"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>开始刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.StartLineNoE"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>结束刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.EndLineNoE"
                ></el-input></div
            ></el-col>
          </el-row>
        </div>
      </div>
      <div class="setGroup">
        <div class="setTitle">功率</div>
        <div class="set_Option" style="width: 100%">
          <el-row :gutter="20" style="justify-content: flex-end">
            <el-col :span="12"
              ><div class="grid-content">
                <label>最大功率刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordMaxP"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>功率/刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordSpaceP"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>开始刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.StartLineNoP"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>结束刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.EndLineNoP"
                ></el-input></div
            ></el-col>
          </el-row>
        </div>
      </div>
      <div class="setGroup">
        <div class="setTitle">汽蚀</div>
        <div class="set_Option" style="width: 100%">
          <el-row :gutter="20" style="justify-content: flex-end">
            <el-col :span="12"
              ><div class="grid-content">
                <label>最小汽蚀刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordMinNPSH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>汽蚀/刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.CoordSpaceNPSH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>开始刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.StartLineNoNPSH"
                ></el-input></div
            ></el-col>
            <el-col :span="12"
              ><div class="grid-content">
                <label>结束刻度: </label>
                <el-input
                  type="number"
                  v-model.number="coordinatePara.EndLineNoNPSH"
                ></el-input></div
            ></el-col>
          </el-row>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      coordinateParaOld: null,
      coordinatePara: {
        GridNumberX: 9, //流量刻度数
        GridNumberY: 19, //Y轴刻度数
        StartLineNoH: 13, //扬程开始刻度
        EndLineNoH: 19, //扬程结束刻度
        StartLineNoE: 6, //效率开始刻度
        EndLineNoE: 11, //效率结束刻度
        StartLineNoP: 2, //功率开始刻度
        EndLineNoP: 8, //功率结束刻度
        StartLineNoNPSH: 0, //汽蚀开始刻度
        EndLineNoNPSH: 3, //汽蚀结束刻度
        DispPanelQE: 0,
        DispPanelQP: 0,
        DispPanelNPSH: 0, //
        CoordMinQ: 0, //流量最小刻度
        CoordMaxQ: 259.2, //流量最大刻度
        CoordSpaceQ: 28.8, //流量间隔刻度
        CoordMinH: -88, //扬程最小刻度
        CoordMaxH: 64, //扬程最大刻度
        CoordSpaceH: 8, //扬程间隔刻度
        CoordMinE: -120, //效率修小刻度
        CoordMaxE: 260, //效率最大刻度
        CoordSpaceE: 20, //效率间隔刻度
        CoordMinP: -16, //功率最小刻度
        CoordMaxP: 136, //功率最大刻度
        CoordSpaceP: 8, //功率间隔刻度
        CoordMinNPSH: 0, //汽蚀最小刻度
        CoordMaxNPSH: 28.5, //汽蚀最大刻度
        CoordSpaceNPSH: 1.5, //汽蚀间隔刻度
      },
    };
  },
};
</script>
<style lang="scss">
.setBox {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  .setGroup {
    position: relative;
    margin-bottom: 0.01rem !important;
    padding: 0.05rem !important;
    background-color: white;
    border: 0.01rem solid transparent;
    border-width: 0.01rem;
    border-color: #bce8f1;
    color: #31708f;
    margin-top: 20px;
    .setTitle {
      font-size: 0.18rem;
      position: absolute;
      top: -15px;
      background-color: #fff;
      padding: 0 5px;
    }
    .set_Option {
      display: flex;
      justify-content: center;
      align-items: center;
      // margin-top: 0.1rem;
      .grid-content {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 0.05rem;
        label {
          width: 1.5rem;
          font-size: 0.12rem;
          text-align: right;
        }
        .el-input__inner {
          text-align: right;
          height: 0.4rem;
          line-height: 40px;
          padding: 0 0;
        }
      }
    }
  }
}
</style>